# SupabaseAuthClientOptions | @supabase/supabase-js
Documentation for @supabase/supabase-js

### Hierarchy

- GoTrueClientOptions
  - SupabaseAuthClientOptions

## Index

### Properties

- autoRefreshToken
- cookieOptions
- detectSessionInUrl
- fetch
- headers
- localStorage
- multiTab
- persistSession
- url

## Properties

### Optional autoRefreshToken

autoRefreshToken?: boolean

Inherited from GoTrueClientOptions.autoRefreshToken

- Defined in node_modules/@supabase/gotrue-js/dist/module/GoTrueClient.d.ts:43

### Optional cookieOptions

cookieOptions?: CookieOptions

Inherited from GoTrueClientOptions.cookieOptions

- Defined in node_modules/@supabase/gotrue-js/dist/module/GoTrueClient.d.ts:47

### Optional detectSessionInUrl

detectSessionInUrl?: boolean

Inherited from GoTrueClientOptions.detectSessionInUrl

- Defined in node_modules/@supabase/gotrue-js/dist/module/GoTrueClient.d.ts:42

### Optional fetch

fetch?: ((input: RequestInfo | URL, init?: RequestInit) => Promise<Response>)

Inherited from GoTrueClientOptions.fetch

- Defined in node_modules/@supabase/gotrue-js/dist/module/GoTrueClient.d.ts:48

#### Type declaration

- - (input: RequestInfo | URL, init?: RequestInit): Promise<Response>

  - #### Parameters

    - ##### input: RequestInfo | URL

    - ##### Optional init: RequestInit

    #### Returns Promise<Response>

### Optional headers

headers?: {}

Inherited from GoTrueClientOptions.headers

- Defined in node_modules/@supabase/gotrue-js/dist/module/GoTrueClient.d.ts:39

#### Type declaration

- ##### [key: string]: string

### Optional localStorage

localStorage?: PromisifyMethods<Pick<Storage, "getItem" | "removeItem" | "setItem">>

Inherited from GoTrueClientOptions.localStorage

- Defined in node_modules/@supabase/gotrue-js/dist/module/GoTrueClient.d.ts:45

### Optional multiTab

multiTab?: boolean

Inherited from GoTrueClientOptions.multiTab

- Defined in node_modules/@supabase/gotrue-js/dist/module/GoTrueClient.d.ts:46

### Optional persistSession

persistSession?: boolean

Inherited from GoTrueClientOptions.persistSession

- Defined in node_modules/@supabase/gotrue-js/dist/module/GoTrueClient.d.ts:44

### Optional url

url?: string

Inherited from GoTrueClientOptions.url

- Defined in node_modules/@supabase/gotrue-js/dist/module/GoTrueClient.d.ts:38

Generated using TypeDoc